Opened 3 years ago

Closed 2 years ago

#9925 closed bug (worksforme)

ghc internal error while installing hakyll

Reported by: fvictorio Owned by:
Priority: normal Milestone:
Component: Compiler Version: 7.6.3
Keywords: Cc:
Operating System: Linux Architecture: x86_64 (amd64)
Type of failure: Runtime crash Test Case:
Blocked By: Blocking:
Related Tickets: Differential Rev(s):
Wiki Page:

Description

Tried to install hakyll on Ubuntu 14.04

cabal update
cabal install hakyll 

Error during installation:

[55 of 69] Compiling Text.Pandoc.Writers.OpenDocument ( src/Text/Pandoc/Writers/OpenDocument.hs, dist/build/Text/Pandoc/Writers/OpenDocument.o )
ghc: internal error: evacuate: strange closure type 15574408
    (GHC version 7.6.3 for x86_64_unknown_linux)
    Please report this as a GHC bug:  http://www.haskell.org/ghc/reportabug

Change History (2)

comment:1 Changed 3 years ago by fvictorio

Doing cabal install hakyll again finished the installation without further problems.

comment:2 Changed 2 years ago by thomie

Resolution: worksforme
Status: newclosed

Thanks for the report. Unfortunately GHC 7.6.3 is no longer supported.

Please reopen if you run into this problem again, with whatever is the latest release of GHC at the time.

Note: See TracTickets for help on using tickets.